-- 
-- Database: `akb`
-- 
-- Table structure for table `articles`
-- 

CREATE TABLE articles (
  FileID int(3) unsigned NOT NULL auto_increment,
  ParentID int(3) unsigned NOT NULL default '0',
  Title varchar(50)  NOT NULL default '',
  AuthorID mediumint(8) unsigned NOT NULL default '0',
  Category varchar(50)  default '',
  Keywords varchar(80)  default NULL,
  Articledata longtext ,
  Approved char(1)  default 'N',
  Views int(10) default '0',
  Rating int(3) NOT NULL default '0',
  SubmitDate timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (FileID),
  KEY Keywords (Keywords)
) ENGINE=MyISAM ;


-- 
-- Table structure for table `authors`
-- 

CREATE TABLE authors (
  AuthorID mediumint(8) unsigned NOT NULL auto_increment,
  UserName varchar(20)  NOT NULL,
  FirstName varchar(15)  NOT NULL,
  LastName varchar(30)  NOT NULL,
  Email varchar(40)  default NULL,
  Passwd varchar(16)  NOT NULL,
  RegistrationDate datetime NOT NULL,
  PRIMARY KEY  (AuthorID),
  UNIQUE KEY UserName (UserName),
  KEY FirstName (FirstName),
  KEY LastName (LastName),
  KEY Passwd (Passwd)
) ENGINE=MyISAM ;

-- 
-- Table structure for table `categories`
-- 

CREATE TABLE categories (
  CatID int(3) unsigned NOT NULL auto_increment,
  Category varchar(50)  NOT NULL default '',
  Parent int(3) NOT NULL default '0',
  Approved char(1)  default 'N',
  PRIMARY KEY  (CatID)
) ENGINE=MyISAM ;

-- 
-- Dumping data for table `categories`
-- 

INSERT INTO categories VALUES (1, 'Linux', 0, 'Y');
INSERT INTO categories VALUES (2, 'Applications', 1, 'Y');
INSERT INTO categories VALUES (3, 'MySQL', 0, 'Y');
INSERT INTO categories VALUES (4, 'Debian', 1, 'Y');
INSERT INTO categories VALUES (5, 'UbuntuLinux', 1, 'Y');
INSERT INTO categories VALUES (6, 'Windows', 0, 'Y');
INSERT INTO categories VALUES (7, 'aphpkb', 0, 'Y');
INSERT INTO categories VALUES (8, 'Installation', 7, 'Y');

-- --------------------------------------------------------

-- 
-- Table structure for table `links`
-- 

CREATE TABLE links (
  LinkID int(3) unsigned NOT NULL auto_increment,
  URL varchar(50)  NOT NULL default '',
  Description varchar(80)  NOT NULL default 'Andy Grayndler',
  PRIMARY KEY  (LinkID)
) ENGINE=MyISAM ;

-- 
-- Dumping data for table `links`
-- 

INSERT INTO links VALUES (1, 'http://aphpkb.sf.net', 'Aphpkb Home');

-- --------------------------------------------------------

-- 
-- Table structure for table `questions`
-- 

CREATE TABLE questions (
  QuestionID mediumint(8) NOT NULL auto_increment,
  Question longtext  NOT NULL,
  `Name` varchar(50)  NOT NULL default '',
  Email varchar(50)  NOT NULL default '',
  Respond char(1)  NOT NULL default 'N',
  PRIMARY KEY  (QuestionID),
  KEY `Name` (`Name`)
) ENGINE=MyISAM ;

-- 
-- Table structure for table `ratinglist`
-- 

CREATE TABLE ratinglist (
  RatingID int(3) NOT NULL default '0',
  Description varchar(20)  default NULL,
  ValueScore int(3) default NULL
) ENGINE=MyISAM ;

-- 
-- Dumping data for table `ratinglist`
-- 

INSERT INTO ratinglist VALUES (0, 'Very Unhelpful', 0);
INSERT INTO ratinglist VALUES (1, 'Unhelpful', 1);
INSERT INTO ratinglist VALUES (3, 'Neither', 3);
INSERT INTO ratinglist VALUES (4, 'Somewhat Helpful', 4);
INSERT INTO ratinglist VALUES (5, 'Very Helpful', 5);
